libxcrypt1_2.4-3.1_amd64.deb


Advertisement

Description

libxcrypt1 - Crypt library for DES, MD5, and blowfish

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libxcrypt1
Package version: 2.4
Package release: 3.1
Package architecture: amd64
Package type: deb
Installed size: 89 B
Download size: 30.99 KB
Official Mirror: ftp.br.debian.org
Libxcrypt is a replacement for libcrypt, which comes with the GNU C Library. It supports DES crypt, MD5, and passwords with blowfish encryption.

Alternatives

Requires

    Download

    Source package: libxcrypt

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libxcrypt1 deb package:
      # sudo apt-get install libxcrypt1

    Files

    • /lib/libxcrypt.so.1
    • /lib/libxcrypt.so.1.2.4
    • /usr/share/doc/libxcrypt1/NEWS.gz
    • /usr/share/doc/libxcrypt1/README
    • /usr/share/doc/libxcrypt1/README.bcrypt
    • /usr/share/doc/libxcrypt1/README.ufc-crypt.gz
    • /usr/share/doc/libxcrypt1/changelog.Debian.gz
    • /usr/share/doc/libxcrypt1/changelog.gz
    • /usr/share/doc/libxcrypt1/copyright

    Changelog

    2014-06-05 - Chen Baozi <baozich@gmail.com> libxcrypt (1:2.4-3.1) unstable; urgency=low * Non-maintainer upload. * Use dh-autoreconf in build to support new architectures (closes: #727448)

    2013-01-11 - Nicholas Breen <nbreen@debian.org> libxcrypt (1:2.4-3) unstable; urgency=low * QA upload (see #679703). Skipping 1:2.4-2 to avoid archive filename conflicts with prior 2.4-2 upload. * FTBFS fix: Change __libc_lock to use pthread_mutex interfaces, as __libc_lock is deprecated. Patch courtesy of Chris J Arges. (Closes: #697714)

    2012-09-17 - Kai Lüke <kailueke@riseup.net> libxcrypt (1:2.4-1.1) unstable; urgency=low * Non-Maintainer Upload to fix RC security bug * Added patch (casting to unsigned) in order to prevent weak password hashes.See http://security-tracker.debian.org/tracker/CVE-2011-2483 (closes: #679628) * debian/rules: #commented out two cp commands to preserve the config.guess and config.sub versions already in 1:2.4-1.

    2008-07-29 - Ivan Kohler <ivan-debian@420.am> libxcrypt (1:2.4-1) unstable; urgency=low * Alas, we have to use an epoch to revert from 3.0 to 2.4 for now. * Build failures in 3.0 are irrelevant now, we'll deal with them when we give 3.0 another shot. (Closes: Bug#489840)

    2008-06-22 - Ivan Kohler <ivan-debian@420.am> libxcrypt (3.0-2) unstable; urgency=low * Force --with-pic in configure.

    2008-06-22 - Ivan Kohler <ivan-debian@420.am> libxcrypt (3.0-1) unstable; urgency=low * New upstream version, new soname, binary package is now libxcrypt2. Force libdir to /lib not /lib64.

    2007-11-07 - Ivan Kohler <ivan-debian@420.am> libxcrypt (2.4-2) unstable; urgency=low * Update watch file (closes: Bug#450033)

    2007-06-11 - Ivan Kohler <ivan-debian@420.am> libxcrypt (2.4-1) unstable; urgency=low * New upstream version.

    2005-09-24 - Ivan Kohler <ivan-debian@420.am> libxcrypt (2.3-1) unstable; urgency=low * New upstream version.

    2004-08-07 - Ivan Kohler <ivan-debian@420.am> libxcrypt (2.2-1) unstable; urgency=low * Initial Release (closes: Bug#237855).

    Advertisement
    Advertisement